### Hierarchy

- Overlay

## Index

### Inputs

- open
- theme

### Outputs

- overlaySelect

### Properties

- open
- overlay
- overlaySelect
- theme

### Methods

- overlayClick

## Properties

### open

@Input()
open: boolean = false

- Defined in src/modal/overlay.component.ts:37

### overlay

@ViewChild({"selector":"overlay","opts":"{ static: true }"})
overlay: ElementRef

- Defined in src/modal/overlay.component.ts:46

### overlaySelect

@Output()
overlaySelect: EventEmitter<Object> = new EventEmitter()

- Defined in src/modal/overlay.component.ts:41

### theme

@Input()
theme: "default" | "danger" = "default"

- Defined in src/modal/overlay.component.ts:36

## Methods

### overlayClick

- overlayClick(event: any): void

- - Defined in src/modal/overlay.component.ts:51

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc